Debian Bug report logs - #445566
samba: smbclient returning 'string length'+1 of the first character of the share name

version graph

Package: samba; Maintainer for samba is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba is src:samba.

Reported by: Shawn Stricker <kb1ibt@gmail.com>

Date: Sat, 6 Oct 2007 22:06:01 UTC

Severity: important

Tags: pending

Found in version samba/3.0.26a-1

Fixed in version samba/3.0.28-2

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.samba.org/show_bug.cgi?id=5000

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kb1ibt@gmail.com, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Shawn Stricker <kb1ibt@gmail.com>:
New Bug report received and forwarded. Copy sent to kb1ibt@gmail.com, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shawn Stricker <kb1ibt@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: samba: smbclient returning 'string length'+1 of the first character of the share name
Date: Sat, 06 Oct 2007 18:04:25 -0400
Package: samba
Version: 3.0.26a-1
Severity: grave
Justification: renders package unusable

the samba server is returning 'string length'+1 of the first
character of the share name. no matter which machine or version that requests
the share list it always returns the same value.

$ smbclient -L //localhost/
Domain=[NAS] OS=[Unix] Server=[Samba 3.0.26a]

        Sharename       Type      Comment
        ---------       ----      -------
        TTTTTTTTTTTT    Disk      
        llllll          Disk      
        IIIII           IPC       IIIIIIIIIIIIIIIIIIIIIIIII
Domain=[NAS] OS=[Unix] Server=[Samba 3.0.26a]

        Server               Comment
        ---------            -------

        Workgroup            Master
        ---------            -------
        WORKGROUP            

$cat /etc/samba/smb.conf

[global]
        dos charset =CP850
        unix charset = UTF-8
        display charset = LOCALE
        server string = %h server
        obey pam restrictions = Yes
        passdb backend = tdbsam
        passwd program = /usr/bin/passwd %u
        passwd chat = *Enter\snew\sUNIX\spassword:* %n\n
*Retype\snew\sUNIX\spassword:* %n\n *password\supdated\ssuccessfully* .
        syslog only = Yes
        log file = /var/log/samba/log.%m
        max log size = 1000
        dns proxy = No
        ldap ssl = no
        panic action = /usr/share/samba/panic-action %d
        invalid users = root

[TimeMachine]
        path = /srv/timemachine
        valid users = shawn
        read only = No
[local]
        path = /srv/timemachine
        valid users = shawn
        read only = No


$ sudo locale -a    
C
POSIX

$ testparm -v -s | grep charset
Load smb config files from /etc/samba/smb.conf
Processing section "[TimeMachine]"
Processing section "[local]"
Loaded services file OK.
Server role: ROLE_STANDALONE
        dos charset = CP850
        unix charset = UTF-8
        display charset = LOCALE



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: arm (armv5tel)

Kernel: Linux 2.6.21-2-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages samba depends on:
ii  debconf [debconf-2.0]   1.5.14           Debian configuration management sy
ii  libacl1                 2.2.45-1         Access control list shared library
ii  libattr1                1:2.4.39-1       Extended attribute shared library
ii  libc6                   2.6.1-1          GNU C Library: Shared libraries
ii  libcomerr2              1.40.2-1         common error description library
ii  libcupsys2              1.3.2-1          Common UNIX Printing System(tm) - 
ii  libgnutls13             1.7.19-1         the GNU TLS library - runtime libr
ii  libkrb53                1.6.dfsg.1-7     MIT Kerberos runtime libraries
ii  libldap2                2.1.30.dfsg-13.5 OpenLDAP libraries
ii  libpam-modules          0.99.7.1-4       Pluggable Authentication Modules f
ii  libpam-runtime          0.99.7.1-4       Runtime support for the PAM librar
ii  libpam0g                0.99.7.1-4       Pluggable Authentication Modules l
ii  libpopt0                1.10-3           lib for parsing cmdline parameters
ii  logrotate               3.7.1-3          Log rotation utility
ii  lsb-base                3.1-24           Linux Standard Base 3.1 init scrip
ii  procps                  1:3.2.7-4.1      /proc file system utilities
ii  samba-common            3.0.26a-1        Samba common files used by both th
ii  update-inetd            4.27-0.6         inetd.conf updater
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

Versions of packages samba recommends:
ii  smbldap-tools                 0.9.2-3    Scripts to manage Unix and Samba a

-- debconf information:
  samba/run_mode: daemons
  samba/tdbsam: false
  samba/generate_smbpasswd: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to "Shawn Stricker" <kb1ibt@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 445566@bugs.debian.org (full text, mbox):

From: "Shawn Stricker" <kb1ibt@gmail.com>
To: 445566@bugs.debian.org
Subject: Addendum
Date: Sat, 6 Oct 2007 19:48:57 -0400
[Message part 1 (text/plain, inline)]
This bug does not present itself on a fresh install of samba 3.0.26a
as can be seen by this bug's sister over on samba's bugzilla under bug
number 5000.
[samba.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 445566@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Shawn Stricker <kb1ibt@gmail.com>, 445566@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#445566: samba: smbclient returning 'string length'+1 of the first character of the share name
Date: Sun, 7 Oct 2007 09:32:24 +0200
[Message part 1 (text/plain, inline)]
severity 445566 important
forwarded 445566 https://bugzilla.samba.org/show_bug.cgi?id=5000
thanks
	
Quoting Shawn Stricker (kb1ibt@gmail.com):
> Package: samba
> Version: 3.0.26a-1
> Severity: grave
> Justification: renders package unusable
> 

Well, I do not agree here.

Also, you mention in upstream bug report that the box is "3.0.26a from debian etch onto this box using the normal package
system.". However, there is no 3.0.26a in etch. Etch version is
3.0.24-6etch4 and we will never provide 3.0.26a for Etch.


[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `grave' Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sun, 07 Oct 2007 07:36:12 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugzilla.samba.org/show_bug.cgi?id=5000. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sun, 07 Oct 2007 07:36:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Shawn Stricker <kb1ibt@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 445566@bugs.debian.org (full text, mbox):

From: Shawn Stricker <kb1ibt@gmail.com>
To: 445566@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#445566: samba: smbclient returning 'string length'+1 of the first character of the share name
Date: Sun, 7 Oct 2007 04:02:16 -0400
> Quoting Shawn Stricker (kb1ibt@gmail.com):
>> Package: samba
>> Version: 3.0.26a-1
>> Severity: grave
>> Justification: renders package unusable
>>
>
> Well, I do not agree here.
When the package causes the server to no be able to list share  
properly to any client trying to access it, then the functionality of  
the entire service is destroyed. It causes people without knowledge  
of the actual share names to be unable to connect to the server. I'm  
not sure how else you would call it when the functionality of a  
package is hindered, other then grave.

> Also, you mention in upstream bug report that the box is "3.0.26a  
> from debian etch onto this box using the normal package
> system.". However, there is no 3.0.26a in etch. Etch version is
> 3.0.24-6etch4 and we will never provide 3.0.26a for Etch.
I had forgotten that I had to switch to testing instead of etch for  
another package which is why after going through the rebuilding from  
source i did not include that portion of text in the bug report to  
the debian bug tracker. Also since the upstream source tarball is  
working, that is what lead me to submitting to the debian bugreport  
system instead of just dealing with the upstream developers. I may  
have been able to parse through the log and find the region of code  
where the problem started to fail. But I am not skilled enough with  
the package's source tree to go through and perform the debug parsing  
you suggested to me on the #samba-technical channel, that is why when  
I was originally dealing with the upstream developer I even gave 2 of  
the members of that community remote access to my machine to perform  
specific testing and compiling directly.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #29 received at 445566@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Shawn Stricker <kb1ibt@gmail.com>, 445566@bugs.debian.org
Subject: Re: Bug#445566: samba: smbclient returning 'string length'+1 of the first character of the share name
Date: Sun, 7 Oct 2007 02:52:40 -0700
Hi Shawn,

On Sat, Oct 06, 2007 at 06:04:25PM -0400, Shawn Stricker wrote:
> the samba server is returning 'string length'+1 of the first
> character of the share name. no matter which machine or version that
> requests the share list it always returns the same value.

Does this mean that these are the values you get when querying this server
from Windows clients, too?

In the upstream bug report, Volker mentions that a plain build of Samba on
this system works correctly, but I don't see anything in the Debian patches
to suggest they're the reason for the behavior difference.  This leaves as
possible sources of the problem the toolchain, the options the Debian
package is passing to ./configure, a difference in Samba's platform
detection when building on your system vs. the Debian buildd, or a
difference in the libraries being linked in because your system didn't have
all of the samba package's build-deps installed when Volker ran its test. 
Would it be possible for me to also get access to this machine, to step
through these possibilities to isolate the source of the problem?  Otherwise
I don't have access to a suitable arm system where I could try to debug
this.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 445566@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Shawn Stricker <kb1ibt@gmail.com>, 445566@bugs.debian.org
Subject: Re: Bug#445566: Addendum
Date: Sun, 7 Oct 2007 02:57:56 -0700
On Sat, Oct 06, 2007 at 07:48:57PM -0400, Shawn Stricker wrote:
> This bug does not present itself on a fresh install of samba 3.0.26a
> as can be seen by this bug's sister over on samba's bugzilla under bug
> number 5000.

Your message doesn't make it clear whether the attached log file was from a
working or non-working server?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Jean-Louis MOUNIER <jean-louis.mounier@zolux.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #39 received at 445566@bugs.debian.org (full text, mbox):

From: Jean-Louis MOUNIER <jean-louis.mounier@zolux.com>
To: 445566@bugs.debian.org
Subject: Samba bug : smbclient returns string length +1 of the first character and description (funny #)
Date: Thu, 11 Oct 2007 17:44:19 +0200
[Message part 1 (text/plain, inline)]
Hello Steve,

I met this bug recently and I have other debugging informations

I use lenny samba on 5 NSLU2 having close configurations. When using 
smbclient from the server itself or from another lenny box, I receive 
strange results : I run  'smbclient -L localhost -U%''
whith localhost from the server or or machine-name from the lenny box.
I get (I changed the domain and machine name for privacy) :

       Sharename       Type      Comment
       ---------       ----      -------
       aaaaaaa         Disk      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
       cccccccc        Disk      SSSSSSSSSSSSSSSSSSSSSSSS
       dddddddd        Disk      gggggggggggggggggggggg
       mmmmmmmm        Disk      MMMMMMMMMMMMMMMMMMMMMMMMMMM
       ppppppp         Disk      PPPPPPPPPPPPPPPPPPPPPPPPPP
       pppppppp        Disk      RRRRRRRRRRRRRRRRRRRRRR
       IIIII           IPC       
IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Domain=[MYDOMAIN] OS=[Unix] Server=[Samba 3.0.26a]

       Server               Comment
       ---------            -------
       SLUG                 slug server (Samba 3.0.26a UNKNOWN)
       DOMAIN-SERVER       Production Server description (Samba 3.0.

       Workgroup            Master
       ---------            -------
       MYDOMAIN                DOMAIN-SERVER


UNKNOWN near last 3.0.26a is from the %R macro I added in the 
description. Maybe the is a protocol negociation problem...

The problem occured after the upgrade from 3.0.24 to 3.0.26a

Something else, when I ask for a smb link to this server from my lenny 
box runnng midnight commander, I get a correct share list.

I spent my afternoon exploiring the smb.conf global options. None 
changed the result.
I don't have a great skill in compiling debian packages from source but 
I can learn fast if it can help you and I have a NSLU2 for testing..

-- 

*Jean-Louis Mounier *
*IT manager*


[Message part 2 (text/html, inline)]

Message sent on to Shawn Stricker <kb1ibt@gmail.com>:
Bug#445566. Full text and rfc822 format available.

Message #42 received at 445566-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jean-Louis MOUNIER <jean-louis.mounier@zolux.com>, 445566-submitter@bugs.debian.org
Subject: Re: Bug#445566: Samba bug : smbclient returns string length +1 of the first character and description (funny #)
Date: Sat, 13 Oct 2007 15:10:18 -0700
On Thu, Oct 11, 2007 at 05:44:19PM +0200, Jean-Louis MOUNIER wrote:

> I met this bug recently and I have other debugging informations

> I use lenny samba on 5 NSLU2 having close configurations. When using 
> smbclient from the server itself or from another lenny box, I receive 
> strange results : I run  'smbclient -L localhost -U%''
> whith localhost from the server or or machine-name from the lenny box.
> I get (I changed the domain and machine name for privacy) :

>        Sharename       Type      Comment
>        ---------       ----      -------
>        aaaaaaa         Disk      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
>        cccccccc        Disk      SSSSSSSSSSSSSSSSSSSSSSSS
>        dddddddd        Disk      gggggggggggggggggggggg
>        mmmmmmmm        Disk      MMMMMMMMMMMMMMMMMMMMMMMMMMM
>        ppppppp         Disk      PPPPPPPPPPPPPPPPPPPPPPPPPP
>        pppppppp        Disk      RRRRRRRRRRRRRRRRRRRRRR
>        IIIII           IPC       
> IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
> Domain=[MYDOMAIN] OS=[Unix] Server=[Samba 3.0.26a]

With the submitter's help, I've tracked this down to a problem with the
binaries generated with gcc -O on arm.  With a few more passes, I should be
able to narrow down the specific optimization that's a problem and
(presumably) work around it in the build and pass the issue over to the gcc
maintainers.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Eugene San <eugenesan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 445566@bugs.debian.org (full text, mbox):

From: Eugene San <eugenesan@gmail.com>
To: 445566@bugs.debian.org
Subject: armel arch also affected since 3.0.25+
Date: Sat, 20 Oct 2007 08:15:10 +0200
armel arch also affected since 3.0.25+





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fisk <stefan.fisk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #52 received at 445566@bugs.debian.org (full text, mbox):

From: Stefan Fisk <stefan.fisk@gmail.com>
To: 445566@bugs.debian.org
Subject: Status of bug
Date: Sun, 23 Dec 2007 16:58:31 +0100
Hi,

Is anyone looking into the origin of this issue?

I am having huge problems with using Samba practically due to this  
bug, and would be immensely grateful to see it fixed.


Best Regards
Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 445566@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Stefan Fisk <stefan.fisk@gmail.com>, 445566@bugs.debian.org
Subject: Re: Bug#445566: Status of bug
Date: Sun, 23 Dec 2007 08:30:31 -0800
On Sun, Dec 23, 2007 at 04:58:31PM +0100, Stefan Fisk wrote:

> Is anyone looking into the origin of this issue?

> I am having huge problems with using Samba practically due to this bug, and 
> would be immensely grateful to see it fixed.

It's a compiler bug on arm which can be worked around by rebuilding with
-O0.  Unfortunately I haven't had a chance to pin down the precise source
file that's the problem, so I haven't deployed this workaround in the Debian
packages or submitted a test case to the gcc maintainers.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 445566@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Steve Langasek <vorlon@debian.org>, 445566@bugs.debian.org
Cc: Stefan Fisk <stefan.fisk@gmail.com>
Subject: Re: Bug#445566: Status of bug
Date: Fri, 28 Dec 2007 17:24:05 +0100
* Steve Langasek <vorlon@debian.org> [2007-12-23 08:30]:
> It's a compiler bug on arm which can be worked around by rebuilding
> with -O0.  Unfortunately I haven't had a chance to pin down the
> precise source file that's the problem, so I haven't deployed this
> workaround in the Debian packages or submitted a test case to the
> gcc maintainers.

rpc_parse/parse_prs.o is the problem; can you compile it with -O0 for
now?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fisk <stefan.fisk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #67 received at 445566@bugs.debian.org (full text, mbox):

From: Stefan Fisk <stefan.fisk@gmail.com>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Steve Langasek <vorlon@debian.org>, 445566@bugs.debian.org
Subject: Re: Bug#445566: Status of bug
Date: Fri, 28 Dec 2007 17:45:36 +0100
Hi,

Yep, just got the package recompiled with -O0, works flawlessly :)

Thanks for the help!


Best Regards
Stefan

28 dec 2007 kl. 17.24 skrev Martin Michlmayr:

> * Steve Langasek <vorlon@debian.org> [2007-12-23 08:30]:
>> It's a compiler bug on arm which can be worked around by rebuilding
>> with -O0.  Unfortunately I haven't had a chance to pin down the
>> precise source file that's the problem, so I haven't deployed this
>> workaround in the Debian packages or submitted a test case to the
>> gcc maintainers.
>
> rpc_parse/parse_prs.o is the problem; can you compile it with -O0 for
> now?
> -- 
> Martin Michlmayr
> http://www.cyrius.com/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #72 received at 445566@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Steve Langasek <vorlon@debian.org>, 445566@bugs.debian.org
Subject: Re: Bug#445566: Status of bug
Date: Fri, 28 Dec 2007 18:49:56 +0100
* Martin Michlmayr <tbm@cyrius.com> [2007-12-28 17:24]:
> > It's a compiler bug on arm which can be worked around by rebuilding
> > with -O0.  Unfortunately I haven't had a chance to pin down the
> > precise source file that's the problem, so I haven't deployed this
> > workaround in the Debian packages or submitted a test case to the
> > gcc maintainers.
> rpc_parse/parse_prs.o is the problem; can you compile it with -O0 for
> now?

Also, compiling rpc_parse/parse_prs.o with gcc-4.1 and -O2 works,
which explains why this problem showed up only recently.

4.3.0 20071028 shows the same problem as gcc-4.2 with -O1 and with -O2
bin/smbclient segfaults:

(gdb) run -L //localhost/ -U tbm%tbm
Starting program: /home/tbm/src/samba-3.0.28/source/bin/smbclient -L //localhost/ -U tbm%tbm
[Thread debugging using libthread_db enabled]
[New Thread 0x15578090 (LWP 2136)]
Domain=[FOOBAR] OS=[Unix] Server=[Samba 3.0.28]

        Sharename       Type      Comment
        ---------       ----      -------

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x15578090 (LWP 2136)]
0x00085508 in dbg_rw_punival (charmode=1, name=0x10e3a8 "buffer     ", depth=2, ps=0x3e976d68,
    in_buf=0x3e976cdc "\f", out_buf=0x10e3a8 "buffer     ", len=12) at rpc_parse/parse_prs.c:938
938                                     SSVAL(in_buf, 2*i, SVAL(out_buf,2*i));
(gdb) where
#0  0x00085508 in dbg_rw_punival (charmode=1, name=0x10e3a8 "buffer     ", depth=2, ps=0x3e976d68,
    in_buf=0x3e976cdc "\f", out_buf=0x10e3a8 "buffer     ", len=12) at rpc_parse/parse_prs.c:938
#1  0x00088240 in prs_unistr2 (charmode=1, name=0x10e3a8 "buffer     ", ps=0x3e976d68, depth=2,
    str=0x3e976cdc) at rpc_parse/parse_prs.c:1156
#2  0x0008a48c in smb_io_unistr2 (desc=<value optimized out>, uni2=0x3e976cdc,
    buffer=<value optimized out>, ps=0x3e976d68, depth=2) at rpc_parse/parse_misc.c:1079
#3  0x00054fb4 in srv_io_q_net_share_enum (desc=<value optimized out>, q_n=0x3e976cd8,
    ps=0x3e976d68, depth=1) at rpc_parse/parse_srv.c:1069
#4  0x00043484 in rpccli_srvsvc_net_share_enum (cli=0x1c0d38, mem_ctx=0x1c0d00, info_level=1,
    ctr=0x3e978b08, preferred_len=1304, hnd=0x0) at rpc_client/cli_srvsvc.c:85
#5  0x00030728 in main (argc=<value optimized out>, argv=0x0) at client/client.c:3017
(gdb)

Steve, is that information helpful?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #77 received at 445566@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@gnu.org>
To: 445566@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>, Steve Langasek <vorlon@debian.org>
Subject: Bug#445566: compiler bug pin-down
Date: Mon, 31 Dec 2007 10:33:43 +0100
hello!

I did some investigation, and the compiler bug seems to be related to
code inlining; I pinned it down to the following code:

/***********************************************************************/
typedef unsigned short u16;
typedef unsigned char u8;

static void
do_segfault(u8 in_buf[], const u8 out_buf[], const int len)
{
  int i;

  for (i = 0; i < len; i++) {
    //SSVAL(in_buf, 2*i, SVAL(out_buf,2*i)); // more or less just a byte-wise memcpy

    asm("nop\n");

    in_buf[2*i] = (   out_buf[2*i] | out_buf[(2*i)+1]<<8  ) & 0xFF; // in_buf[2*i] = out_buf[2*i];

    asm("nop\n");
	  
    in_buf[(2*i)+1] =  ( out_buf[2*i] | out_buf[(2*i)+1]<<8 ) >> 8; // in_buf[(2*i)+1] = out_buf[(2*i)+1];

    asm("nop\n");
  }
}

int main(int argc, char *argv[])
{
  u8 outbuf[32] = "buffer     ";
  u8 inbuf[32] = "\f";

  asm("nop\n");
  do_segfault(inbuf, outbuf, 12);
  asm("nop\n");

  return 0;
}
/***********************************************************************/

which when compiled with  4.2.3 20071123 (prerelease) (Debian 4.2.2-4),
causes a segfault when using -O2, but works when either removing the
'static' modifier and thus avoiding inlining of do_segfault, or by using
an optimization level which does avoid that... 

the generated assembler code is quite broken for the optimized case:

(I've only pasted and commented the relevant section containing the 5
nops)

// r4 points to outbuf (= source buffer)
// sp points to inbuf  (= target buffer)
#APP
        nop
        mov     r2, sp
        add     r1, sp, #56 // upper loop-bound; should have been #12
.L2:
#APP
        nop
        ldrb    r3, [r4, #0]
        strb    r3, [r2, #0]
#APP
        nop
        ldrb    r3, [r4, #1]
        strb    r3, [r2, #1]
#APP
        nop
        cmp     r4, r1 // upper loop-bound check
        add     r2, r2, #2 // increment target buffer (NB: source buffer is not incremented!)
        bne     .L2 // repeat loop if upper loop-bound not reached yet
#APP
        nop

cheers,
hvr





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #82 received at 445566@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@gnu.org>
To: 445566@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#445566: compiler bug pin-down
Date: Mon, 31 Dec 2007 11:25:38 +0100
as usual, I have something to add few minutes after I've sent the
mail... :-)

On Mon, 2007-12-31 at 10:33 +0100, Herbert Valerio Riedel wrote:
[..]
> which when compiled with  4.2.3 20071123 (prerelease) (Debian 4.2.2-4),
> causes a segfault when using -O2, but works when either removing the
> 'static' modifier and thus avoiding inlining of do_segfault, or by using
> an optimization level which does avoid that... 
> 
> the generated assembler code is quite broken for the optimized case:
> 
> (I've only pasted and commented the relevant section containing the 5
> nops)
> 
> // r4 points to outbuf (= source buffer)
> // sp points to inbuf  (= target buffer)
> #APP
>         nop
>         mov     r2, sp
>         add     r1, sp, #56 // upper loop-bound; should have been #12

I actually wanted to say 'should have been #24' :-)

this overrun is what causes the segfault... and which goes away when not
inlining, but the source-ptr not updating...

> 	cmp     r4, r1 // upper loop-bound check
>         add     r2, r2, #2 // increment target buffer (NB: source buffer is not incremented!)
>         bne     .L2 // repeat loop if upper loop-bound not reached yet

...stays even when avoiding inlining; it's somehow the optimizer that
gets confused by

in_buf[2*i] = (   out_buf[2*i] | out_buf[(2*i)+1]<<8  ) & 0xFF;
in_buf[(2*i)+1] =  ( out_buf[2*i] | out_buf[(2*i)+1]<<8 ) >> 8;

which gcc correctly optimizes to

in_buf[2*i] = out_buf[2*i];
in_buf[(2*i)+1] = out_buf[(2*i)+1];

but then gets confused; if one takes away that confusion from gcc by
replacing the former two lines by their latter equivalent optimized
variants, code generation is fine for all optimization levels...

cheers,
hvr





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #87 received at 445566@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Herbert Valerio Riedel <hvr@gnu.org>
Cc: 445566@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#445566: compiler bug pin-down
Date: Mon, 31 Dec 2007 11:32:44 +0100
clone 445566 -1
reassign -1 gcc-4.2
forwarded -1 http://gcc.gnu.org/PR34628
retitle -1 [arm] wrong-code related to inlining
thanks

* Herbert Valerio Riedel <hvr@gnu.org> [2007-12-31 11:25]:
> as usual, I have something to add few minutes after I've sent the
> mail... :-)
...

Thanks for the testcase.  I submitted a bug upstream.
-- 
Martin Michlmayr
http://www.cyrius.com/




Bug 445566 cloned as bug 458435. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 31 Dec 2007 10:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #94 received at 445566@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 445566@bugs.debian.org
Cc: Stefan Fisk <stefan.fisk@gmail.com>
Subject: Re: Bug#445566: Status of bug
Date: Fri, 4 Jan 2008 01:59:20 -0800
On Fri, Dec 28, 2007 at 05:24:05PM +0100, Martin Michlmayr wrote:
> * Steve Langasek <vorlon@debian.org> [2007-12-23 08:30]:
> > It's a compiler bug on arm which can be worked around by rebuilding
> > with -O0.  Unfortunately I haven't had a chance to pin down the
> > precise source file that's the problem, so I haven't deployed this
> > workaround in the Debian packages or submitted a test case to the
> > gcc maintainers.

> rpc_parse/parse_prs.o is the problem; can you compile it with -O0 for
> now?

Yes, committed a patch to svn to do this.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Tags added: pending Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2008 10:12:03 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Shawn Stricker <kb1ibt@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #101 received at 445566-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 445566-close@bugs.debian.org
Subject: Bug#445566: fixed in samba 3.0.28-2
Date: Sat, 05 Jan 2008 09:47:07 +0000
Source: samba
Source-Version: 3.0.28-2

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.0.28-2_i386.deb
  to pool/main/s/samba/libpam-smbpass_3.0.28-2_i386.deb
libsmbclient-dev_3.0.28-2_i386.deb
  to pool/main/s/samba/libsmbclient-dev_3.0.28-2_i386.deb
libsmbclient_3.0.28-2_i386.deb
  to pool/main/s/samba/libsmbclient_3.0.28-2_i386.deb
samba-common_3.0.28-2_i386.deb
  to pool/main/s/samba/samba-common_3.0.28-2_i386.deb
samba-dbg_3.0.28-2_i386.deb
  to pool/main/s/samba/samba-dbg_3.0.28-2_i386.deb
samba-doc-pdf_3.0.28-2_all.deb
  to pool/main/s/samba/samba-doc-pdf_3.0.28-2_all.deb
samba-doc_3.0.28-2_all.deb
  to pool/main/s/samba/samba-doc_3.0.28-2_all.deb
samba_3.0.28-2.diff.gz
  to pool/main/s/samba/samba_3.0.28-2.diff.gz
samba_3.0.28-2.dsc
  to pool/main/s/samba/samba_3.0.28-2.dsc
samba_3.0.28-2_i386.deb
  to pool/main/s/samba/samba_3.0.28-2_i386.deb
smbclient_3.0.28-2_i386.deb
  to pool/main/s/samba/smbclient_3.0.28-2_i386.deb
smbfs_3.0.28-2_i386.deb
  to pool/main/s/samba/smbfs_3.0.28-2_i386.deb
swat_3.0.28-2_i386.deb
  to pool/main/s/samba/swat_3.0.28-2_i386.deb
winbind_3.0.28-2_i386.deb
  to pool/main/s/samba/winbind_3.0.28-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 445566@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Jan 2008 09:46:06 +0100
Source: samba
Binary: samba-doc-pdf samba-doc libsmbclient libpam-smbpass swat winbind smbclient samba libsmbclient-dev samba-common samba-dbg smbfs
Architecture: source all i386
Version: 3.0.28-2
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for SMB/CIFS password database
 libsmbclient - shared library that allows applications to talk to SMB/CIFS serve
 libsmbclient-dev - libsmbclient static libraries and headers
 samba      - a LanManager-like file and printer server for Unix
 samba-common - Samba common files used by both the server and the client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation (PDF format)
 smbclient  - a LanManager-like simple client for Unix
 smbfs      - mount and umount commands for the smbfs (for kernels >= than 2.2.
 swat       - Samba Web Administration Tool
 winbind    - service to resolve user and group information from Windows NT ser
Closes: 445566 457105
Changes: 
 samba (3.0.28-2) unstable; urgency=low
 .
   [ Steve Langasek ]
   * Drop some further code in samba-common.postinst that's specific to
     pre-3.0 upgrades.
   * Make the mount.smbfs wrapper a bash script instead of a POSIX sh script,
     so we can use bash array variables and cope with arguments containing
     embedded spaces (such as share names).  Thanks to Julian Gilbey
     <jdg@debian.org> for the patch.  Closes: #457105.
   * debian/patches/gcc42-arm-workaround.patch: work around an arm compiler
     problem by building rpc_parse/parse_prs.o with -O0 on this architecture.
     Thanks to Martin Michlmayr for helping to pin down the problem file.
     Closes: #445566.
   * mount.smbfs: map the smbfs "guest" option to "guest,sec=none", which is
     a closer approximation of the semantics with cifs.
Files: 
 55ae105396caaf41ca13354000fe435a 1324 net optional samba_3.0.28-2.dsc
 248bb01c730c745b7f3ae9aa1213c031 196021 net optional samba_3.0.28-2.diff.gz
 a2bdc69993035f4da316d483ccae16bf 6999942 doc optional samba-doc_3.0.28-2_all.deb
 b7e86c0110f7f4b5add351a2e9b478c3 6612596 doc optional samba-doc-pdf_3.0.28-2_all.deb
 03610e94ddd4f0010383608d2de4a213 3747578 net optional samba_3.0.28-2_i386.deb
 34d1372c3ea531f06943f49420d32299 2775490 net optional samba-common_3.0.28-2_i386.deb
 deea1835919c86c5c01a9231e9f81502 4736798 net optional smbclient_3.0.28-2_i386.deb
 ce1dc230778c70b5239b2c60e7f26cf0 946240 net optional swat_3.0.28-2_i386.deb
 4775da6cd92495e74fac6f2fc0ed6271 84532 otherosfs optional smbfs_3.0.28-2_i386.deb
 a2bebbec4bf53f42d3ac39f2d83a6776 453984 admin extra libpam-smbpass_3.0.28-2_i386.deb
 1c544ea6e5f210cb65fbbbed69557f01 857910 libs optional libsmbclient_3.0.28-2_i386.deb
 5f9359d5b1fe93b80fd3ecdc5d106fdb 1170184 libdevel extra libsmbclient-dev_3.0.28-2_i386.deb
 08e9f6217d2ff217070bede36ab6105c 2183306 net optional winbind_3.0.28-2_i386.deb
 9c4c025d0cda059ad6c37f3d58e6aa53 20013742 devel extra samba-dbg_3.0.28-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHf0zp1OXtrMAUPS0RAvMjAKCwmEWNtaDR7mUJUWEtOIk8Ia/ZuwCfUejQ
zAu3dVK43cTEperUgc18m+c=
=+jru
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Kevin Price <kp@kevin-price.de>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #106 received at 445566@bugs.debian.org (full text, mbox):

From: Kevin Price <kp@kevin-price.de>
To: Christian Perrier <bubulle@debian.org>
Cc: 445566@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Steve Langasek <vorlon@debian.org>, Stefan Fisk <stefan.fisk@gmail.com>
Subject: Re: Bug#445566: fixed in samba 3.0.28-2
Date: Sun, 06 Jan 2008 00:04:40 +0100
[Message part 1 (text/plain, inline)]
Hi!

Thank you very much for working on this!

Christian Perrier schrieb:
> We believe that the bug you reported is fixed in the latest version of
> samba, which is due to be installed in the Debian FTP archive:

I'm afraid version 3.0.28-2 is still broken on armel, at least the new
binary in the repository at
http://ftp.debian-ports.org/debian/pool-armel/main/s/samba/

If I compile any version with gcc 4.1 that's fine.

The bug is still exactly the same:

*******
$ smbclient -L localhost
Password:
Domain=[ADSIE] OS=[Unix] Server=[Samba 3.0.28]

        Sharename       Type      Comment
        ---------       ----      -------
        ppppppp         Disk      PPPPPPPPPPPPPPPP
        dddddd          Disk      DDDDDD
        IIIII           IPC       IIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Domain=[ADSIE] OS=[Unix] Server=[Samba 3.0.28]
*******


Because armel is not officially supported by debian yet, I am not
re-opening this bug. But I think it would be a good idea to fix this not
only on arm but also on armel.

cheers

Kevin

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #111 received at 445566@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Kevin Price <kp@kevin-price.de>, 445566@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>, Martin Michlmayr <tbm@cyrius.com>, Stefan Fisk <stefan.fisk@gmail.com>
Subject: Re: Bug#445566: fixed in samba 3.0.28-2
Date: Sat, 5 Jan 2008 16:04:15 -0800
On Sun, Jan 06, 2008 at 12:04:40AM +0100, Kevin Price wrote:

> Thank you very much for working on this!

> Christian Perrier schrieb:
> > We believe that the bug you reported is fixed in the latest version of
> > samba, which is due to be installed in the Debian FTP archive:

> I'm afraid version 3.0.28-2 is still broken on armel, at least the new
> binary in the repository at
> http://ftp.debian-ports.org/debian/pool-armel/main/s/samba/

> Because armel is not officially supported by debian yet, I am not
> re-opening this bug. But I think it would be a good idea to fix this not
> only on arm but also on armel.

Can do.  Can you confirm that "arm-linux-gnueabi" is the correct value for
dpkg-architecture -qDEB_HOST_GNU_TYPE ?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #116 received at 445566@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@gnu.org>
To: 445566@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>
Subject: DEB_HOST_GNU_TYPE of armel
Date: Sun, 06 Jan 2008 12:28:16 +0100
jfyi,

nas:~# dpkg-architecture -qDEB_HOST_GNU_TYPE  
arm-linux-gnueabi

cheers,
hvr





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Kevin Price <kp@kevin-price.de>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #121 received at 445566@bugs.debian.org (full text, mbox):

From: Kevin Price <kp@kevin-price.de>
To: Steve Langasek <vorlon@debian.org>
Cc: 445566@bugs.debian.org, Christian Perrier <bubulle@debian.org>, Martin Michlmayr <tbm@cyrius.com>, Stefan Fisk <stefan.fisk@gmail.com>
Subject: Re: Bug#445566: fixed in samba 3.0.28-2
Date: Sun, 06 Jan 2008 15:52:55 +0100
[Message part 1 (text/plain, inline)]
Steve Langasek schrieb:
> Can do.  Can you confirm that "arm-linux-gnueabi" is the correct value for
> dpkg-architecture -qDEB_HOST_GNU_TYPE ?
> 

dpkg-architecture -qDEB_HOST_GNU_TYPE
arm-linux-gnueabi

... confirmed.

Kevin
-- 
http://www.kevin-price.de/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #126 received at 445566@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@gnu.org>
To: 445566@bugs.debian.org
Subject: Bug#445566
Date: Fri, 22 Feb 2008 15:11:44 +0100
just noticed, that some time ago

ii  gcc-4.2                       4.2.3-1              The GNU C compiler

got into the archives... would be great, if a rebuild of the samba
package could be triggered, to fix the issue without any -O0
workarounds...






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #131 received at 445566@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 445566@bugs.debian.org
Cc: kp@kevin-price.de, hvr@gnu.org
Subject: re: samba/armel
Date: Tue, 4 Mar 2008 12:18:46 +0200
Hi,

on armel, samba 3.0.28-2+b1 version just uploaded was built using
the latest gcc-4.2:

http://buildd.debian.org/fetch.cgi?pkg=samba;ver=3.0.28-2%2Bb1;arch=armel;stamp=1204623392

The version of samba with -O0 workaround for armel has not
been uploaded yet, so this is built without any -O0 workarounds.
Since the gcc2 bug affecting this has been closed upstream on
gcc-4.2 branch on 20080122, and latest gcc-4.2 includes svn up
to gcc-4.2/20080225, this package should work fine. It should
be available on mirrors near you around midnight UTC.

Cheers,
Riku


-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#445566; Package samba. Full text and rfc822 format available.

Acknowledgement sent to Kevin Price <kp@kevin-price.de>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #136 received at 445566@bugs.debian.org (full text, mbox):

From: Kevin Price <kp@kevin-price.de>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 445566@bugs.debian.org
Subject: Re: samba/armel
Date: Tue, 04 Mar 2008 18:06:51 +0100
Hi!

Riku Voipio schrieb:
> Since the gcc2 bug affecting this has been closed upstream on
> gcc-4.2 branch on 20080122, and latest gcc-4.2 includes svn up
> to gcc-4.2/20080225, this package should work fine. It should
> be available on mirrors near you around midnight UTC.

It's working fine. Thank you very much.

Kevin
-- 
http://www.kevin-price.de/




Tags added: pending Request was from vorlon@alioth.debian.org to control@bugs.debian.org. (Mon, 24 Mar 2008 09:06:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Apr 2008 07:54:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:48:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.